﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using OpenNETCF.IO.Serial;
using System.Threading;

namespace CF_RW_01
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // Set up COM port
            string cmport = this.comboBox1.Text;
            cmport = cmport + ":";
            serialPort1.PortName = cmport;
            serialPort1.Open();
        }

        // イベント処理
        private void serialPort1_DataReceived(object sender, System.IO.Ports.SerialDataReceivedEventArgs e)
        {
            string receivedData;
            Thread.Sleep(1000);
            try
            {
                receivedData = this.serialPort1.ReadExisting();
            }
            catch (Exception ex)
            {
                receivedData = ex.Message;
            }
            showDat(receivedData);
        }

        // 読取IDの表示イベント処理
        private string recDat;
        private void showDat(string s)
        {
            recDat = s;
            this.Invoke(new EventHandler(showDatEventHandler));
        }
        private void showDatEventHandler(object sender, System.EventArgs e)
        {
            string itemId;
            if (recDat.Length >= 10) itemId = recDat.Substring(2, 8);
            else itemId = "try again";
            textBox1.Text = itemId;
            recDat = string.Empty;
            itemId = string.Empty;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String cmd = "3120000001\r";
            byte[] byteCmd = Encoding.ASCII.GetBytes(cmd);
            serialPort1.Write(byteCmd, 0, byteCmd.Length);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (serialPort1.IsOpen)
            {
                this.label2.Text = "OK";
            }
            else
            {
                this.label2.Text = "NG";
            }
        }

        private void Form1_Closed(object sender, EventArgs e)
        {
            serialPort1.Close();
        }

    }
}